{% load static %}
{% load cart_template_tags %}
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Ecom</title>
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
  <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
  <link href="{% static 'css/mdb.min.css' %}" rel="stylesheet">
  <link href="{% static 'css/style.min.css' %}" rel="stylesheet">
  <style type="text/css">
    html,
    body,
    header,
    .carousel {
      height: 60vh;
    }

    @media (max-width: 740px) {

      html,
      body,
      header,
      .carousel {
        height: 100vh;
      }
    }

    @media (min-width: 800px) and (max-width: 850px) {

      html,
      body,
      header,
      .carousel {
        height: 100vh;
      }
    }

  </style>
</head>
<body>

<nav class="navbar fixed-top navbar-expand-lg navbar-light white scrolling-navbar">
<div class="container-fluid">
    <a class="navbar-brand waves-effect" href="{% url 'home' %}">
      <img class="ml-0 pl-0" style="height: 40px;" src="{% static 'pictures/logo.png' %}" alt="Logo">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <!-- <li class="nav-item">
      <a class="nav-link waves-effect" href="{% url 'home' %}">Home
      </a>
      </li> -->
    </ul>      
      
    <ul class="navbar-nav nav-flex-icons">
      {% if request.user.is_authenticated %}
        <li class="nav-item">
          <a class="nav-link waves-effect" href="#">Hello, {{request.user.username}}
          </a>
        </li>
        <li class="nav-item">
        <a href="{% url 'order_summary' %}" class="nav-link waves-effect">
            <span class="badge red z-depth-1 mr-1">{{ request.user|cart_item_count}}</span>
            <i class="fas fa-shopping-cart"></i>
            <span class="clearfix d-none d-sm-inline-block"> Cart </span>
        </a>
        </li>
         <li class="nav-item">
          <a class="nav-link waves-effect" href="{% url 'account_logout' %}">Logout
          </a>
        </li>
      {% else %}
        <li class="nav-item">
          <a class="nav-link waves-effect" href="{% url 'account_login' %}">Login
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link waves-effect" href="{% url 'account_signup' %}">Signup
          </a>
        </li>
      {% endif %}

    </ul>

    </div>

</div>
</nav>

<div class="container">
  {% if messages %}
    {% for message in messages %}
      <div style="margin-top:5rem;" class="alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
        {{message}}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    {% endfor %}
  {% endif %}
</div>


{% block content %}
  
{% endblock content %}


<footer class="page-footer font-small elegant-color pt-4">
  <div class="container text-center text-md-left">
    <div class="row text-center text-md-left mt-3 pb-3">
      <div class="col-md-3 col-lg-3 col-xl-3 mx-auto mt-3">
        <h6 class="text-uppercase mb-4 font-weight-bold">Simrik Design Studio</h6>
        <p>Here we provide ladies with some of the best designs in the country.
          This company creates design for ladies only.
          </p>
      </div>
      <hr class="w-100 clearfix d-md-none">
     
      <hr class="w-100 clearfix d-md-none">
      
      <hr class="w-100 clearfix d-md-none">
      <div class="col-md-4 col-lg-3 col-xl-3 mx-auto mt-3">
        <h6 class="text-uppercase mb-4 font-weight-bold">Contact</h6>
        <p>
          <i class="fas fa-home mr-3"></i>Jwagal, Lalitpur, Nepal</p>
        <p>
          <i class="fas fa-envelope mr-3"></i> simrikdesignstudio@gmail.com</p>
        <p>
          <i class="fas fa-phone mr-3"></i> + 977 9851144303</p>
      </div>
    </div>
    <hr>
    <div class="row d-flex align-items-center">
      
      <div class="col-md-5 col-lg-4 ml-lg-0">
        <div class="text-center text-md-right">
          <ul class="list-unstyled list-inline">
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fab fa-facebook-f"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fab fa-twitter"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fab fa-google-plus-g"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fab fa-linkedin-in"></i>
              </a>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</footer>




  <script type="text/javascript" src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
  <script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
  <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
  <script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>
  <script type="text/javascript">
    new WOW().init();

  </script>
</body>

</html>
